org.aspectj.internal.lang.reflect

## Class InterTypeDeclarationImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl

All Implemented Interfaces:
  InterTypeDeclaration

Direct Known Subclasses:
  InterTypeConstructorDeclarationImpl, InterTypeFieldDeclarationImpl, InterTypeMethodDeclarationImpl

    public class InterTypeDeclarationImpl
    extends Object
    implements InterTypeDeclaration

Author:
  colyer

### Field Summary

Fields
`protected String` `targetTypeName`

### Constructor Summary

Constructors
Constructor and Description
`InterTypeDeclarationImpl(AjType<?> decType, AjType<?> targetType, int mods)`
`InterTypeDeclarationImpl(AjType<?> decType, String target, int mods)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AjType<?>` `getDeclaringType()`
`int` `getModifiers()`
`AjType<?>` `getTargetType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### targetTypeName

    protected String targetTypeName

### Constructor Detail

#### InterTypeDeclarationImpl

    public InterTypeDeclarationImpl(AjType<?> decType,
                                    String target,
                                    int mods)

#### InterTypeDeclarationImpl

    public InterTypeDeclarationImpl(AjType<?> decType,
                                    AjType<?> targetType,
                                    int mods)

### Method Detail

#### getDeclaringType

    public AjType<?> getDeclaringType()

Specified by:
  `getDeclaringType` in interface `InterTypeDeclaration`
Returns:
  the declaring aspect

#### getTargetType

    public AjType<?> getTargetType()
                            throws ClassNotFoundException

Specified by:
  `getTargetType` in interface `InterTypeDeclaration`
Returns:
  the target type of this ITD
Throws:
  `ClassNotFoundException` - if the type cannot be found

#### getModifiers

    public int getModifiers()

Specified by:
  `getModifiers` in interface `InterTypeDeclaration`
Returns:
  member modifiers, can be interpreted using java.lang.reflect.Modifier